package org.jdtaus.banking.dtaus.swing;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class EditorBundle{ 

/** <pre> 
jDTAUS Editor
Copyright (c) 2005 Christian Schulte <cs@schulte.it>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.</pre>. */
public static String getLicenseText(final Locale locale) {
    return getMessage("license", locale);
}

/** <pre> 
jDTAUS Editor
Copyright (c) 2005 Christian Schulte <cs@schulte.it>

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.</pre>. */
public static MessageFormat getLicenseMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("license", locale), locale);
}

/** <pre> Unexpected {0}.</pre>. */
public static String getUnexpectedExceptionText(final Locale locale) {
    return getMessage("unexpectedException", locale);
}

/** <pre> Unexpected {0}.</pre>. */
public static MessageFormat getUnexpectedExceptionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("unexpectedException", locale), locale);
}

/** <pre> Modules
{0}</pre>. */
public static String getModuleInfoText(final Locale locale) {
    return getMessage("moduleInfo", locale);
}

/** <pre> Modules
{0}</pre>. */
public static MessageFormat getModuleInfoMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("moduleInfo", locale), locale);
}

/** <pre> Warning</pre>. */
public static String getWarningText(final Locale locale) {
    return getMessage("warning", locale);
}

/** <pre> Warning</pre>. */
public static MessageFormat getWarningMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("warning", locale), locale);
}

/** <pre> An unexpected {0} occured.

Please report this at http://bugzilla.jdtaus.org/bugzilla/ or send
an email to support@jdtaus.org including a copy of the logfiles
located in directory {1}.</pre>. */
public static String getBugReportText(final Locale locale) {
    return getMessage("bugReport", locale);
}

/** <pre> An unexpected {0} occured.

Please report this at http://bugzilla.jdtaus.org/bugzilla/ or send
an email to support@jdtaus.org including a copy of the logfiles
located in directory {1}.</pre>. */
public static MessageFormat getBugReportMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("bugReport", locale), locale);
}

/** <pre> Information</pre>. */
public static String getInformationText(final Locale locale) {
    return getMessage("information", locale);
}

/** <pre> Information</pre>. */
public static MessageFormat getInformationMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("information", locale), locale);
}

/** <pre> Welcome !

Please keep in mind that jDTAUS Editor is in an early development state.
It is recommended to create backups of files you are about to edit.

If you find a bug, please let us know by either filing a bug-report at
http://bugzilla.jdtaus.org/bugzilla/ or by sending a mail to
support@jdtaus.org. Thanks!</pre>. */
public static String getWelcomeText(final Locale locale) {
    return getMessage("welcome", locale);
}

/** <pre> Welcome !

Please keep in mind that jDTAUS Editor is in an early development state.
It is recommended to create backups of files you are about to edit.

If you find a bug, please let us know by either filing a bug-report at
http://bugzilla.jdtaus.org/bugzilla/ or by sending a mail to
support@jdtaus.org. Thanks!</pre>. */
public static MessageFormat getWelcomeMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("welcome", locale), locale);
}

/** <pre> Notification</pre>. */
public static String getNotificationText(final Locale locale) {
    return getMessage("notification", locale);
}

/** <pre> Notification</pre>. */
public static MessageFormat getNotificationMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("notification", locale), locale);
}

/** <pre> <no information available></pre>. */
public static String getMissingInformationText(final Locale locale) {
    return getMessage("missingInformation", locale);
}

/** <pre> <no information available></pre>. */
public static MessageFormat getMissingInformationMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("missingInformation", locale), locale);
}

/** <pre> System properties:
{0}</pre>. */
public static String getSystemPropertiesText(final Locale locale) {
    return getMessage("systemProperties", locale);
}

/** <pre> System properties:
{0}</pre>. */
public static MessageFormat getSystemPropertiesMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("systemProperties", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.banking.dtaus.swing.Editor", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
