package org.jdtaus.editor.spi;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class PhysicalFileTextFormatterBundle{ 

/** <pre> Textfiles</pre>. */
public static String getDescriptionText(final Locale locale) {
    return getMessage("description", locale);
}

/** <pre> Textfiles</pre>. */
public static MessageFormat getDescriptionMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("description", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.editor.spi.PhysicalFileTextFormatter", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
