package org.jdtaus.editor.spi.messages;

import java.util.HashMap;
import java.util.Map;
import java.util.Locale;
import java.util.ResourceBundle;
import java.text.MessageFormat;

abstract class CreatingTextFileMessageBundle{ 

/** <pre> Creating text file...</pre>. */
public static String getCreatingTextFileText(final Locale locale) {
    return getMessage("creatingTextFile", locale);
}

/** <pre> Creating text file...</pre>. */
public static MessageFormat getCreatingTextFileMessage(Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
return new MessageFormat(getMessage("creatingTextFile", locale), locale);
}

private static final Map cache = new HashMap();

private static String getMessage(final String key, Locale locale) {
    if(locale == null) { locale = Locale.getDefault(); }
    Map msgCache = (Map) cache.get(locale);
    if(msgCache == null)
    {
        msgCache = new HashMap();
        cache.put(locale, msgCache);
    }

    String msg = (String) msgCache.get(key);
    if(msg == null)
    {
        msg = ResourceBundle.getBundle(
        "org.jdtaus.editor.spi.messages.CreatingTextFileMessage", locale).getString(key);
        msgCache.put(key, msg);
    };
    return msg;
}

}
